Bug 858895 - kernel panic: __kmalloc from kvasprintf (udevd "sound")
kernel panic: __kmalloc from kvasprintf (udevd "sound")
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 19:45 EDT by John Reiser
Modified: 2013-01-08 19:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 19:01:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
photo of vga console with traceback etc. (361.77 KB, image/jpeg)
2012-09-19 19:45 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-09-19 19:45:52 EDT
Created attachment 614641 [details]
photo of vga console with traceback etc.

Description of problem: random kernel panic


Version-Release number of selected component (if applicable):
kernel-3.5.3-1.fc17.x86_64


How reproducible: once only


Steps to Reproduce:
1. boot
2.
3.
  
Actual results: kernel panic; attached photo of vga console with traceback etc.


Expected results:


Additional info:
Comment 1 John Reiser 2012-09-19 19:47:31 EDT
$ lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:07.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
01:09.0 Mass storage controller: Silicon Image, Inc. SiI 3512 [SATALink/SATARaid] Serial ATA Controller (rev 01)
05:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8400 GS] (rev a1)
Comment 2 Josh Boyer 2012-10-08 10:56:34 EDT
There was already a warning spit out before this happened.  Did you happen to capture that anywhere?

Also, is this still happening with 3.5.5-2 or 3.5.6-1?
Comment 3 John Reiser 2012-10-08 11:41:51 EDT
No, did not capture the warning.  Looking at syslog (/var/log/messages) including Sep 19 and later, I see no "Oops", no "raceback", and the only "arning" (even case-insensistive) are for avahi-daemon and gdm-simple-slave.  Today I installed kernel-3.5.5-2.fc17 and kernel-3.5.6-1.fc17, and will report unusual events.
Comment 4 Josh Boyer 2013-01-08 08:36:16 EST
Are you still seeing this with the 3.6.10 or newer kernel updates?
Comment 5 John Reiser 2013-01-08 19:01:04 EST
No, that was a once-only event.

Note You need to log in before you can comment on or make changes to this bug.